Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.es
Class ESString

    java.lang.Object
      |
      +--com.caucho.es.ESBase
            |
            +--com.caucho.es.ESString

Direct Known Subclasses:
  ESId

public class ESString
extends ESBase

Implementation class for JavaScript strings.

Field Summary
`protected int` | `hashCode`
`protected java.lang.String` | `string`

Fields inherited from class com.caucho.es.ESBase
`DONT_DELETE, DONT_ENUM, esBase, esEmpty, esNull, esUndefined, READ_ONLY`

Constructor Summary
`protected` | `ESString(java.lang.String string)` Create a new object based on a prototype

Method Summary
`char` | `carefulCharAt(int i)`
`static ESString` | `create(CharBuffer cb)`
`static ESString` | `create(int i)`
`static ESString` | `create(java.lang.String string)`
`static ESString` | `createFromCharCode(char c)`
`boolean` | `ecmaEquals(ESBase b)`
`boolean` | `equals(java.lang.Object a)`
`ESBase` | `getProperty(ESString key)`
`int` | `hashCode()`
`boolean` | `isString()`
`ESBase` | `plus(ESBase b)`
`boolean` | `toBoolean()`
`java.lang.Object` | `toJavaObject()`
`double` | `toNum()`
`ESObject` | `toObject()`
`ESString` | `toSource(IntMap map, boolean isLoopPass)`
`ESString` | `toStr()`
`static ESBase` | `toStr(java.lang.String string)`
`java.lang.String` | `toString()` Returns this as a string.
`ESBase` | `typeof()`

Methods inherited from class com.caucho.es.ESBase
`call, call, construct, delete, getProperty, greaterThan, hasProperty, isBoolean, isNum, keys, lessThan, setProperty, setProperty, setProperty, toInt32, toJavaString, toPrimitive, toPrimitive, valueOf`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### string

    protected java.lang.String string

### hashCode

    protected int hashCode

Constructor Detail

### ESString

    protected ESString(java.lang.String string)

  Create a new object based on a prototype

Method Detail

### create

    public static ESString create(java.lang.String string)

### toStr

    public static ESBase toStr(java.lang.String string)

### create

    public static ESString create(int i)

### createFromCharCode

    public static ESString createFromCharCode(char c)

### create

    public static ESString create(CharBuffer cb)

### typeof

    public ESBase typeof()
                  throws ESException

  Overrides:
    typeof in class ESBase

### toNum

    public double toNum()

  Overrides:
    toNum in class ESBase

### toStr

    public ESString toStr()

  Overrides:
    toStr in class ESBase

### isString

    public boolean isString()

  Overrides:
    isString in class ESBase

### toSource

    public ESString toSource(IntMap map,
                             boolean isLoopPass)

  Overrides:
    toSource in class ESBase

### toObject

    public ESObject toObject()

  Overrides:
    toObject in class ESBase

### toJavaObject

    public java.lang.Object toJavaObject()

  Overrides:
    toJavaObject in class ESBase

### getProperty

    public ESBase getProperty(ESString key)
                       throws java.lang.Exception

  Overrides:
    getProperty in class ESBase

### ecmaEquals

    public boolean ecmaEquals(ESBase b)
                       throws java.lang.Exception

  Overrides:
    ecmaEquals in class ESBase

### plus

    public ESBase plus(ESBase b)
                throws java.lang.Exception

  Overrides:
    plus in class ESBase

### carefulCharAt

    public char carefulCharAt(int i)

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object a)

  Overrides:
    equals in class java.lang.Object

### toBoolean

    public boolean toBoolean()

  Overrides:
    toBoolean in class ESBase

### toString

    public java.lang.String toString()

  Returns this as a string.
  Overrides:
    toString in class ESBase

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD